<?php
require_once 'Credenziali.php';


echo "<p><h4>RICHIESTA DELL' ESITO DOPO IL TRASFERIMENTO DELLE FATTURE</h4></p>";

$ws = _EsitoInvio_WSDL;
$SoapClientParam["location"] = $EsitoInvio; 

error_log("definisco il file wsdl ".$ws, 0);
echo $ws."<p> </p>";

error_log("definisco the soap server location ".$SoapClientParam["location"], 0);
echo $SoapClientParam["location"]."<p> </p>";


$client = new SoapClient($ws, $SoapClientParam);

echo "<p><h4>List of available SOAP functions</h4></p>";
$output = $client->__getFunctions();
while (list ($key, $val) = each ($output) ) echo $val."<br />"; echo "<p> </p>";

echo "<p><h4>List of types described in the WSDL for the Web service</h4></p>";
$output = $client->__getTypes();
while (list ($key, $val) = each ($output) ) echo $val."<br />"; echo "<p> </p>";


echo "<p><h4>INVIO LA RICHIESTA</h4></p>";
echo $protocollo."<p> </p>";

error_log("invio la richiesta", 0);
error_log("pinCode    = ".$pincodeInvianteCifrato, 0);
error_log("dataInizio = ".$dataInizio, 0);
error_log("dataFine   = ".$dataFine, 0);
error_log("Protocollo = ".$protocollo, 0);

$output = $client->EsitoInvii(Array
    (
    "DatiInputRichiesta"    => (Array
        (
        "pinCode"     => $pincodeInvianteCifrato,
        "dataInizio"  => $dataInizio,
        "dataFine"    => $dataFine,
//      "protocollo"  => $protocollo,
        "opzionale1"  => '0',
        "opzionale2"  => '0',
        "opzionale3"  => '0'
        ))
    ));
var_dump($output); echo "<p> </p>";

if (is_soap_fault($output))
    {
    $err = "SOAP Fault: (faultcode: {$output->faultcode}, faultstring: {$output->faultstring})";
    error_log("richiesta terminata con errori", 0);
    echo "<p><h4>RICHIESTA TERMINATA CON ERRORI</h4></p>"."<p>$err</p>";
    var_dump($output); echo "<p> </p>";
    trigger_error($err, E_USER_ERROR);
    }
else
    {
    error_log("LA RICHIESTA HA AVUTO RISPOSTA", 0);
    echo "<p><h4>LA RICHIESTA HA AVUTO RISPOSTA</h4></p>";
//  var_dump($output); echo "<p> </p>";

    $esito = $output->DatiOutputRichiesta->esitoChiamata;

    if ( $esito == "0" )
        {
        error_log("E' PRESENTE L' ESITO PER IL PROTOCOLLO ".$protocollo, 0);
        echo "<p><h4>E' PRESENTE L' ESITO PER IL PROTOCOLLO ".$protocollo."</h4></p>";

        $path = $output->DatiOutputRichiesta->esitiPositivi->dettagliEsito;
	$dett = count($path);
        error_log("dettagliEsito = ".$dett, 0);

        if ( $dett == 1 )
            {
            dettagliEsito();
            }
        else
            {
            for ( $i=0; $i<$dett; ++$i )
                {
                $path = $output->DatiOutputRichiesta->esitiPositivi->dettagliEsito[$i];
                dettagliEsito();
                echo " <br />";
                }
            }
        }
    else
        {
        error_log("ERRORE: NON E' PRESENTE L' ESITO PER IL PROTOCOLLO ".$protocollo, 0);
        echo "<p><h4>ERRORE: NON E' PRESENTE L' ESITO PER IL PROTOCOLLO  ".$protocollo."</h4></p>";
        }
    }

error_log("done ".$_SERVER['PHP_SELF'], 0);
echo "<p><h4>FINE DEL LAVORO</h4></p>";


function dettagliEsito()
    {
        ReportOutput("protocollo");
        ReportOutput("dataInvio");
        ReportOutput("stato");
        ReportOutput("descrizione");
        ReportOutput("nInviati");
        ReportOutput("nAccolti");
        ReportOutput("nWarnings");
        ReportOutput("nErrori");
    }


function ReportOutput($var)
    {
    global $output,$path;
    error_log($var." = ".$path->{$var}, 0);
    echo $var." = ".$path->{$var}."<br />";
    }
?>
